dissolve Reference to SubASM - how to??

 

AnyOne tried to dissolve a Reference?

I made it it works for the first level...

But I've got the problem with References to SubAsm-Parts - don't know how to dissolve it...

see the snippet below,  I only get the SubAsm as an Occurrence, but not the Part the relation is related to

I know that references are there - for each hierarchical level - , but how to find the right next step reference ?

thx for any hint so that I can search in the right corner, too

Dim Relations As SolidEdgeAssembly.Relations3d

        Relations = Occurrence.Relations3d()

 

        For Each rel As Object In Relations

            If rel.type = SolidEdgeConstants.ObjectType.igPlanarRelation3d Then

[..]

  Dim PlanarRelation3d As SolidEdgeAssembly.PlanarRelation3d = rel

 

                Dim ref1 As SolidEdgeFramework.Reference

                Dim ref2 As SolidEdgeFramework.Reference

 

                Dim Occ1 As SolidEdgeAssembly.Occurrence

                Dim Occ2 As SolidEdgeAssembly.Occurrence

                Dim RefItem1 As Object           ' RefPlane or Face / SolidEdgePart.RefPlane

                Dim RefItem2 As Object '      " / "   or SolidEdgeAssembly.AsmRefPlane

 

                If rel.GetElement1(True).type = SolidEdgeConstants.ObjectType.igReference Then

                    ref1 = rel.GetElement1(True)

                    Occ1 = PlanarRelation3d.Occurrence1

                    RefItem1 = ref1.Object     [...]

                End If

               If  ...  'also with GetElement2

 

 

Posted by: Linus Hechinger
Post date: 9/1/2010 9:23:19 PM